-- |> CORE
-------------------------------------------------------------------------------
local _, NS = ...

--> SAVED VARIABLES / CHARACTER OPTIONS
-------------------------------------------------------------------------------
FTL_CHARACTER_OPTIONS =
    FTL_CHARACTER_OPTIONS or
    {
        Enabled = true,
        LDB = {}
    }

--> PRINT ADDON MESSAGE
-------------------------------------------------------------------------------
function NS.PrintAddonMessage(msg)
    if not msg then
        return
    end
    (DEFAULT_CHAT_FRAME):AddMessage("|TInterface/Addons/FTL/Media/Icons/chat.tga:0|t  " .. msg)
end

--> Enable
---------------------------------------
function NS.Enable()
    FTL_FOCUS_TARGET_FRAME.Show()
    FTL_FOCUS_FRAME.Show()
    NS.EnableEvents()
end

--> Disalbe
---------------------------------------
function NS.Disable()
    FTL_FOCUS_TARGET_FRAME.Hide()
    FTL_FOCUS_FRAME.Hide()
    NS.DisableEvents()
end

--|> LOADING
-------------------------------------------------------------------------------
--> PLAYER_ENTERING_WORLD
local Loaded = nil
function NS.EnteringWorld()
    if not Loaded then
        NS.PrintAddonMessage("|cffffe153Loaded!|r")
        if FTL_CHARACTER_OPTIONS.Enabled then
            NS.Enable()
        else
            NS.Disable()
        end
        Loaded = true
    end
end
